
QGIS Application - Bug report #15903

Creating _packed shapefiles and fails to save edits correctly

2016-11-28 03:15 AM - Matthew Yandell-Thomas

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.14.8 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23820

Description

Hi, we've discovered another problem when dealing with vectors, specifically shapefiles. QGIS is failing to repack shapefiles on saving

and creating _packed file with some missing polygons.

The shapefiles were generated via ecognition. Those source shapefiles were opened in Arc10 SP5 and the 'Clean Polygon Layer' tool

within ET Geowizards was performed.

We've had no issues previously working with datasets that had been created in this manner.

Users are editing the attributes of the polygons in the datasets and performing splits. On saving, we experience this repack problem and

some split features are removed from the dataset. The error message reported is: 

Layer &lt;LAYERNAME&gt;: OGR[3] error 1: REPACK of layer '&lt;LAYERNAME&gt;' failed.

I can send you the corrupted shapefiles if you require them. The zip file is 100 MB, I can upload it and share it via our cloud storage.

However I would require your email address.

This data belongs to our client, so I would appreciate it if this could be shared to as few people as possible and can it be deleted as soon

as you're done with it.

History

#1 - 2016-12-02 01:36 AM - Even Rouault

Those issues should normally go away once QGIS 2.14 ship with GDAL 2.1.2. I guess your current GDAL version is 2.1.1 ?

#2 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-10-13 10:11 AM - Kai Borgolte

- File corrupt_shp.zip added

I just encountered the attached corrupted shapefile. A co-worker edited the file yesterday and didn't notice any errors, but he left work in hurry. Today he

found the shapefile without geometries. After renaming the "-packed" files everything seems OK. QGIS 2.18.12.

#4 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

corrupt_shp.zip 44.1 KB 2017-10-13 Kai Borgolte
